package org.rcisoft.app.appMemFeedBack.controller;
/*固定导入*/

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.servlet.http.HttpServletResponse;
import org.rcisoft.business.memFeedBack.entity.MemFeedback;
import org.rcisoft.business.memFeedBack.service.MemFeedbackService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyGridModel;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyEpExcelUtil;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
* Created by cy on 2025年2月24日 下午5:16:32.
*/
@RestController
@RequestMapping("/app")
public class appMemFeedbackController extends CyPaginationController<MemFeedback> {


    @Autowired
    private MemFeedbackService memFeedbackServiceImpl;

    @PreAuthorize("@cyPerm.hasPerm('app:feedback:add')")
    @CyOpeLogAnno(title = "system-意见反馈管理-新增意见反馈", businessType = CyLogTypeEnum.INSERT)
    @Operation(summary="添加意见反馈", description="添加意见反馈")
    @PostMapping(value = "/memFeedBack/add")
    public CyResult add(@Valid @RequestBody MemFeedback memFeedback, BindingResult bindingResult) {
        CyPersistModel data = memFeedbackServiceImpl.persist(memFeedback);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        memFeedback);
    }
}
