package org.rcisoft.app.appMemTraffic.controller;


/*固定导入*/

import io.swagger.v3.oas.annotations.Operation;
import org.rcisoft.business.memTraffic.entity.MemTraffic;
import org.rcisoft.business.memTraffic.service.MemTrafficService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
* Created by cy on 2025年2月13日 上午10:00:53.
*/
@RestController
@RequestMapping("/app")
public class AppMemTrafficController extends CyPaginationController<MemTraffic> {


    @Autowired
    private MemTrafficService memTrafficServiceImpl;


    @CyOpeLogAnno(title = "system-访问量表管理-新增访问量表", businessType = CyLogTypeEnum.INSERT)
    @Operation(summary="添加访问量表", description="添加访问量表")
    @PostMapping(value = "/open/memtraffic/add")
    public CyResult add(@RequestBody MemTraffic memTraffic) {
        CyPersistModel data = memTrafficServiceImpl.persist(memTraffic);
        return CyResultGenUtil.builder(data,
            CyMessCons.MESSAGE_ALERT_SUCCESS,
            CyMessCons.MESSAGE_ALERT_ERROR,
        memTraffic);
    }

}
