package org.rcisoft.app.appOpmTopic.controller;


/*固定导入*/

import io.swagger.v3.oas.annotations.Operation;
import org.rcisoft.business.opmTopic.entity.OpmTopic;
import org.rcisoft.business.opmTopic.service.OpmTopicService;
import org.rcisoft.core.anno.CyOpeLogAnno;
import org.rcisoft.core.constant.CyMessCons;
import org.rcisoft.core.controller.CyPaginationController;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.operlog.enums.CyLogTypeEnum;
import org.rcisoft.core.result.CyResult;
import org.rcisoft.core.util.CyResultGenUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * @author cy
 * @date 2024年3月25日 下午1:42:40
 */
@RestController
@RequestMapping("/app")
public class AppOpmTopicController extends CyPaginationController<OpmTopic> {

    @Autowired
    private OpmTopicService opmTopicServiceImpl;


    @CyOpeLogAnno(title = "system-话题管理-查询话题", businessType = CyLogTypeEnum.QUERY)
    @Operation(summary = "查询话题集合", description = "查询话题集合")
    @GetMapping(value = "/open/opmTopic/queryAllOpmTopic")
    public CyResult queryAllTopicList(OpmTopic opmTopic) {
        return CyResultGenUtil.builder(new CyPersistModel(1),
                CyMessCons.MESSAGE_ALERT_SUCCESS,
                CyMessCons.MESSAGE_ALERT_ERROR,
                opmTopicServiceImpl.findAll(opmTopic,"app"));
    }
}
